
# Class: FailedChecksModel

## Hierarchy

* **FailedChecksModel**

## Index

### Constructors

* [constructor](failedchecksmodel.md#constructor)

### Properties

* [errors](failedchecksmodel.md#errors)
* [warnings](failedchecksmodel.md#warnings)

## Constructors

###  constructor

\+ **new FailedChecksModel**(`errors`: [RuleDisplayResult](ruledisplayresult.md)[], `warnings`: [RuleDisplayResult](ruledisplayresult.md)[]): *[FailedChecksModel](failedchecksmodel.md)*

**Parameters:**

Name | Type |
------ | ------ |
`errors` | [RuleDisplayResult](ruledisplayresult.md)[] |
`warnings` | [RuleDisplayResult](ruledisplayresult.md)[] |

**Returns:** *[FailedChecksModel](failedchecksmodel.md)*

## Properties

###  errors

• **errors**: *[RuleDisplayResult](ruledisplayresult.md)[]*

___

###  warnings

• **warnings**: *[RuleDisplayResult](ruledisplayresult.md)[]*
